- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
GSmtp::FileWriter Class Reference

Used by GSmtp::FileStore, GSmtp::NewFile and GSmtp::StoredFile to claim write permissions. More...

`#include <gfilestore.h>`

Inheritance diagram for GSmtp::FileWriter:

## Public Member Functions
| FileWriter ()
| Default constructor. More...
| ~FileWriter ()
| Destructor. Switches identity back. More...

## Detailed Description

Used by GSmtp::FileStore, GSmtp::NewFile and GSmtp::StoredFile to claim write permissions.

See also
  G::Root

Definition at line 194 of file gfilestore.h.

## Constructor & Destructor Documentation

GSmtp::FileWriter::FileWriter | ( |  | ) |

Default constructor.

Switches identity for writing a file.

Definition at line 314 of file gfilestore.cpp.

GSmtp::FileWriter::~FileWriter | ( |  | ) |

Destructor. Switches identity back.

Definition at line 320 of file gfilestore.cpp.

The documentation for this class was generated from the following files:

- gfilestore.h
- gfilestore.cpp